classification
Title: Error in an external reference
Type: Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8, Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Akarys, ammar2, audpa31, cheryl.sabella, docs@python, loewis, miss-islington
Priority: normal Keywords: newcomer friendly, patch

Created on 2020-04-29 15:43 by audpa31, last changed 2020-05-23 01:20 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 20184 merged Akarys, 2020-05-18 16:12
PR 20326 merged miss-islington, 2020-05-23 01:12
PR 20327 merged miss-islington, 2020-05-23 01:12
PR 20328 merged miss-islington, 2020-05-23 01:12
Messages (7)
msg367665 - (view) Author: Patrick A. (audpa31) Date: 2020-04-29 15:43
This URL doesn't exist anymore. If you click on this URL you have a 404 not found.

https://www.dcl.hpi.uni-potsdam.de/home/loewis/table-3131.html

The website was changed and Dr. Martin v. Löwis is not hosted on the new site.

Regards
msg367692 - (view) Author: Ammar Askar (ammar2) * (Python triager) Date: 2020-04-29 19:30
Thank you for the report Patrick! 

For reference this is on the lexical analysis page: https://docs.python.org/3/reference/lexical_analysis.html

> A non-normative HTML file listing all valid identifier characters for Unicode 4.1 can be found at https://www.dcl.hpi.uni-potsdam.de/home/loewis/table-3131.html.


Looking at the page on https://web.archive.org/web/20200312045240/https://www.dcl.hpi.uni-potsdam.de/home/loewis/table-3131.html

it seems like it was just a giant table containing all the valid XID_START and XID_CONTINUE characters. We could just remove the link or point it to the section in the current unicode database we use https://www.unicode.org/Public/13.0.0/ucd/DerivedCoreProperties.txt
where it lists all the characters:

> # Derived Property: XID_Start

Would you like to make a pull request for this?
msg369679 - (view) Author: miss-islington (miss-islington) Date: 2020-05-23 01:12
New changeset af23f0d3cf19343512e6ca1fe1d46a5dbe425719 by Matteo Bertucci in branch 'master':
bpo-40439: Update broken link in lexical analysis docs (GH-20184)
https://github.com/python/cpython/commit/af23f0d3cf19343512e6ca1fe1d46a5dbe425719
msg369681 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2020-05-23 01:15
@audpa31, thank you for the report and @Akarys, thank you for the pull request.
msg369682 - (view) Author: miss-islington (miss-islington) Date: 2020-05-23 01:17
New changeset 0af9bef61afffbf128aba76a2e578059621b4f00 by Miss Islington (bot) in branch '3.7':
bpo-40439: Update broken link in lexical analysis docs (GH-20184)
https://github.com/python/cpython/commit/0af9bef61afffbf128aba76a2e578059621b4f00
msg369683 - (view) Author: miss-islington (miss-islington) Date: 2020-05-23 01:19
New changeset 962c814ca77fb1873908f2daeda59c2637ad3bf1 by Miss Islington (bot) in branch '3.9':
bpo-40439: Update broken link in lexical analysis docs (GH-20184)
https://github.com/python/cpython/commit/962c814ca77fb1873908f2daeda59c2637ad3bf1
msg369684 - (view) Author: miss-islington (miss-islington) Date: 2020-05-23 01:20
New changeset dc3239177ff26cb6a12e437a1f507be730fe8ba7 by Miss Islington (bot) in branch '3.8':
bpo-40439: Update broken link in lexical analysis docs (GH-20184)
https://github.com/python/cpython/commit/dc3239177ff26cb6a12e437a1f507be730fe8ba7
History
Date User Action Args
2020-05-23 01:20:05miss-islingtonsetmessages: + msg369684
2020-05-23 01:19:16miss-islingtonsetmessages: + msg369683
2020-05-23 01:17:51miss-islingtonsetmessages: + msg369682
2020-05-23 01:15:55cheryl.sabellasetstatus: open -> closed

nosy: + cheryl.sabella
messages: + msg369681

resolution: fixed
stage: patch review -> resolved
2020-05-23 01:12:46miss-islingtonsetpull_requests: + pull_request19596
2020-05-23 01:12:37miss-islingtonsetpull_requests: + pull_request19595
2020-05-23 01:12:29miss-islingtonsetpull_requests: + pull_request19594
2020-05-23 01:12:14miss-islingtonsetnosy: + miss-islington
messages: + msg369679
2020-05-18 16:12:58Akaryssetkeywords: + patch
nosy: + Akarys

pull_requests: + pull_request19485
stage: patch review
2020-04-29 19:30:05ammar2setkeywords: + newcomer friendly
nosy: + loewis, ammar2
messages: + msg367692

2020-04-29 15:43:28audpa31create